/*
 * Copyright 2019 David Blanc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.speekha.httpmocker

const val REQUEST = "request"
const val RESPONSE = "response"
const val ERROR = "error"
const val EXACT_MATCH = "exact-match"
const val PROTOCOL = "protocol"
const val METHOD = "method"
const val HOST = "host"
const val PORT = "port"
const val PATH = "path"
const val URL = "url"
const val HEADERS = "headers"
const val HEADER = "header"
const val PARAMS = "params"
const val PARAM = "param"
const val DELAY = "delay"
const val CODE = "code"
const val MEDIA_TYPE = "media-type"
const val BODY = "body"
const val BODY_FILE = "body-file"
const val NAME = "name"
const val VALUE = "value"
const val EXCEPTION_TYPE = "type"
const val EXCEPTION_MESSAGE = "message"

const val DEFAULT_MEDIA_TYPE = "text/plain"
const val DEFAULT_RESPONSE_CODE = 200
const val DEFAULT_EXCEPTION = "java.lang.RuntimeException"
const val JSON_FORMAT = "json"
const val XML_FORMAT = "xml"
